# RPC Commands

## `tls.info`

List internal information related to the TLS module in a short list - max connections, open connections and the write queue size.

Parameters:

- None.

## `tls.list`

List details about all active TLS connections.

Parameters:

- None.

## `tls.options`

List the current TLS configuration.

Parameters:

- None.

## `tls.kill`

Kill a TLS session by id.

Parameters:

- None.

## `tls.reload`

Reload the external TLS configuration file (aka tls.cfg). It does not reload modparam() parameters. Note that existing active TLS connections are not terminated and they continue to use the old certificates. The new configuration will be used for new connections.

Reload is generally safe and usable in production environments. If possible should be done in a time where the service has lower usage/connections.

This RPC command is exported with "RPC_EXEC_DELTA" flag, therefore its execution rate can be restricted to specific time intervals by setting the "rpc_exec_delta" core parameter.

Parameters:

- None.